﻿Imports Microsoft.VisualBasic
Imports System
Imports ThinkGeo.MapSuite.Core
Imports ThinkGeo.MapSuite.WebEdition

Public Class _Default
    Inherits System.Web.UI.Page


    Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load
        If Not Page.IsPostBack Then
            Map1.MapBackground.BackgroundBrush = New GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"))
            Map1.CurrentExtent = New RectangleShape(-125, 72, 50, -46)
            Map1.MapUnit = GeographyUnit.DecimalDegree
            Map1.MapTools.MouseCoordinate.Enabled = True

            Dim worldMapKitOverlay As New WorldMapKitWmsWebOverlay()
            Map1.CustomOverlays.Add(worldMapKitOverlay)
            LoadAMapFromMsSQL2008()

        End If
    End Sub
    Private Sub LoadAMapFromMsSQL2008()
        Dim connectString As String = "Data Source=ELENI-PC\SQL2008;Initial Catalog=oratondbdemo;User ID=sa;Password=sa"
        Dim sql2008Layer As New MsSql2008FeatureLayer(connectString, "points", "pntID")
        '  sql2008Layer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.Country1
        sql2008Layer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20
        Map1.StaticOverlay.Layers.Add(sql2008Layer)
    End Sub
End Class
